/**
 * 是否是测试环境
 * @returns {boolean}
 * @private
 */
import {FAIL, SUCCESS} from "../const";

export const __is_test_env__ = () => {
	return process.env.NODE_ENV === 'test';
};

/**
 * 是否是生产环境打包
 * @returns {boolean}
 * @private
 */
export const __is_production_env__ = () => {
	return process.env.NODE_ENV === 'production';
};

/**
 * 是否是开发环境打包
 * @returns {boolean}
 * @private
 */
export const __is_development_env__= () => {
	return process.env.NODE_ENV === 'development';
};

/**
 * 判断类型
 * @param obj
 * @returns {string}
 * @private
 */
export const __type__ = (obj) => {
	return Object.prototype.toString
		.call(obj)
		.replace(/\[object (\w+)\]/, "$1")
		.toLowerCase();
};

/**
 * 处理请求参数，上送参数去掉success 和 fail 的参数
 * @param option
 * @returns {{}}
 * @private
 */
export const __paramInvoke__ = (option = {}) => {
	let param = {};
	for (let key in option) {
		if (!(key === SUCCESS || key === FAIL)) {
			param[key] = option[key];
		}
	}
	return param;
};
