import {BROWSER, CORPORATEBANK, DIRECTBANK, MOBILEBANK} from "./const";
import __bus__ from "./__handle__/__bus__";
import {__is_test_env__} from "./__handle__/__handle_utils__";

/**
 * sdk引擎环境名称
 * 获取UA中的渠道标识
 */
const engine = () => {
	let ua = __bus__.userAgent;
	if ((new RegExp(`@${MOBILEBANK}#`)).test(ua)) {
		return MOBILEBANK;
	} else if ((new RegExp(`@${DIRECTBANK}#`)).test(ua)) {
		return DIRECTBANK;
	} else if ((new RegExp(`@${CORPORATEBANK}#`)).test(ua)) {
		return CORPORATEBANK;
	} else {
		return BROWSER;
	}
};

/**
 * 获取sdk的版本号
 * @returns {string}
 */
const engineVer = () => {
	let version = __bus__.userAgent.match(/@sdkVer\([\d\.]+\)#/i);
	return version && version.length ? version[0].replace(/@sdkVer\(([\d\.]+)\)#/i, "$1") : "";
};

/**
 * 获取app版本号
 * @returns {string}
 */
const appVersion = () => {
	let version = __bus__.userAgent.match(/@appVer(?:sion)?\([\d\.]+\)#/i);
	return version && version.length ? version[0].replace(/@appVer(?:sion)?\(([\d\.]+)\)#/i, "$1") : "";
};

/**
 * 获取手机操作系统版本号
 * @returns {string}
 */
const osVersion = () => {
	let version = __bus__.userAgent.match(/@osVer\([\d\.]+\)#/i);
	return version && version.length ? version[0].replace(/@osVer\(([\d\.]+)\)#/i, "$1") : "";
};

const bkId = () => {
	let array = __bus__.userAgent.match(/@sccba\d{3}#/i) || [];
	let bkId = array.length ? array[0].replace(/@sccba(\d{3})#/i, "$1") : "";
	__bus__.global.bkId  = bkId;
	return bkId;
};

const modeType = () => {
	let array = __bus__.userAgent.match(/@modeType\(\w+\)#/i) || [];
	if (array.length) {
		return array[0].replace(/@modeType\((\w+)\)#/i, "$1");
	}
};


const  appInfo = {
	engine: engine,
	engineVer: engineVer,
	osVersion: osVersion,
	bkId: bkId,
	modeType: modeType,
	appVersion: appVersion,
};
export default appInfo;






