import {callHandler} from "./jsbridge";
import {extend} from "./utils";

/**
 * 人脸识别
 * @param opt
 */
export const faceDetect = opt => {
	callHandler('faceDetect', opt)
};

/**
 * ocr识别身份证
 * @param opt
 */
export const idCardDetect = opt => {
	callHandler('idCardDetect', opt);
};

/**
 * 扫描身份证，返回识别信息
 * @param opt
 * @since v2.0.0
 */
export const scanIdCard = opt => {
	let defaultSetting = {
		count: "10"
	};
	let setting = extend(defaultSetting, opt);
	callHandler("scanIdCard", setting);
};

/**
 * 选取本地相册证件图片，识别证件信息
 * @param opt
 * @since v2.0.0
 */
export const chooseIdCard = opt => {
	let defaultSetting = {
		count: "10"
	};
	let setting = extend(defaultSetting, opt);
	callHandler("chooseIdCard", setting);
};

/**
 * 识别银行卡信息
 * @param opt
 */
export const scanBankCard = opt => {
	callHandler("scanBankCard", opt);
};

