import {isFunction} from "./utils";

const requestInterceptor = {
	// beforeCallback: null, //网络请求参数拦截函数
	// afterSuccess: null, //网络请求报文结果拦截函数
	// afterFail: null, //网络请求报文结果失败拦截函数
	/**
	 * 接口请求拦截器
	 * @param callback
	 */
	before(callback) {
		if (isFunction(callback)) {
			this.beforeCallback = callback;
		}
	},
	/**
	 * 接口响应拦截器
	 * @param success 处理报文成功拦截器
	 * @param err     处理报文失败或异常
	 */
	after(success, err) {
		if (isFunction(success)) {
			this.afterSuccess = success;
		}
		if (isFunction(err)) {
			this.afterFail = err;
		}
	}
};

export {requestInterceptor};
