import {callHandler, log} from "./jsbridge";

/**
 * 获取菜单列表
 * @param opt
 */
export const getAllMenuList = (opt) => {
	callHandler("getAllMenuList",opt);
};

/**
 * 获取主菜单列表
 * @param opt
 * @since v2.0.38
 */
export const getMainMenuList = (opt) => {
	callHandler("getMainMenuList", opt);
}

/**
 * 检查是否存在指定菜单
 * @param opt
 */
export const checkMenu = (opt) => {
	callHandler("checkMenu", opt)
}

/**
 * 跳转菜单
 * @param opt
 */
export const goMenu = (opt) => {
	if(!opt.id){
		return log("goMenu parameter id is required.");
	}
	if(!opt.page){
		return log("goMenu parameter page is required.")
	}
	callHandler("goMenu",opt);
};

/**
 * 校验模块
 * @param opt
 * @since V2.0.0
 */
export const checkBundle = opt => {
	callHandler("checkBundle", opt)
};

/**
 * 获取指定菜单图标
 * @param opt
 * @since V2.0.0
 */
export const getMenuIcon = opt => {
	callHandler("getMenuIcon", opt)
};

/**
 * 获取所有菜单图标
 * @param opt
 * @since V2.0.0
 */
export const getAllMenuIcon = opt => {
	callHandler("getAllMenuIcon", opt)
};
