import {callHandler} from "./jsbridge";
import {extend} from "./utils";

/**
 * 警告框
 * @param opt
 * @since v2.0.0
 */
export const alert = opt => {
	let defaultSetting = {
		title: "温馨提示",
		alignment: "left",
		cancelButtonTitle: "确认",
		otherButtonTitles: []
	};
	let setting  = extend(defaultSetting, opt);
	callHandler('alert', setting);
};

/**
 * 确认提示框
 * @param opt
 * @since v2.0.0
 */
export const confirm = opt => {
	let defaultSetting = {
		title: "温馨提示",
		buttonArray: ["取消", "确认"]
	};
	let setting = extend(defaultSetting, opt);
	callHandler("confirm", setting);
};

/**
 * 操作选择框
 * @param opt
 * @since v2.0.0
 */
export const notice = opt => {
	callHandler("notice", opt);
};

/**
 * 操作控件
 * @param opt
 * @since v2.0.0
 */
export const actionSheet = opt => {
	callHandler("actionSheet", opt);
};

/**
 * 轻提示框
 * @param opt
 * @since v2.0.0
 */
export const tip = opt => {
	let defaultSetting = {
		duration: 3000,
		bgColor: "#333333",
		bgAlpha: 0.8,
		fontColor: "#FFFFFF"
	};
	let setting = extend(defaultSetting, opt);
	callHandler("tip", setting);
};

/**
 * 显示加载框
 * @param opt
 * @since v2.0.0
 */
export const showLoading = opt => {
	callHandler("showLoading", opt);
};

/**
 * 隐藏加载框
 * @param opt
 * @since v2.0.0
 */
export const hideLoading = opt => {
	callHandler("hideLoading", opt);
};


